Bug 1476010 - [RFE] Unable to reference vmware customization spec when deploying via REST API
[RFE] Unable to reference vmware customization spec when deploying via REST API
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: drew uhlmann
Dave Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 16:16 EDT by Ryan Spagnola
Modified: 2017-12-08 09:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Feature
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 4 Jillian Tullo 2017-10-17 13:24:14 EDT
Was able to verify that the value does get passed through properly from the API to MiqProvisionVirtWorkflow, but then the item is not found, resulting in a nil which writes that console output.

Passing along to Automate.
Comment 5 Greg McCullough 2017-11-20 14:32:40 EST
Ryan - We never supported passing sysprep_custom_spec directly through the API call so I would say that part is an RFE.  (Do we want to use this ticket for the RFE or create a new one?)

The usual implementation is that the custom_spec is determined in automate or passed as part of the "additional_values" property to automate, then automate can call the "set_customization_spec" method.

See https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html/methods_available_for_automation/chap_methods_available_for_use_with_cloudforms_management_engine#sect_vm_provision_task_miq_provision  (Search for "set_customization_spec")

Do you have any details on the work-around they implemented?  I assume it would be using the logic mentioned above.  I am not aware of any open issues around this feature.


Drew - We can discuss how to implement this directory from the API call.  I believe it will require refactoring the set_customization_spec method so that it can be called from the workflow.  See https://github.com/ManageIQ/manageiq/blob/master/app/models/mixins/miq_provision_mixin.rb#L186

Note You need to log in before you can comment on or make changes to this bug.